Subject: Document editors + consensus. [was: Re: Draft MPLS minutes]

From: Alex Zinin <[email-masked]>
Date: Thu, 3 Apr 2003 12:06:48 -0800

Shahram, Eric-

 Break :)

 Seems that a process clarification is due.
 [BTW, I suppose we're talking about draft-ietf-mpls-lsp-ping here]

 1. When a document becomes a WG item, the authors of the document
    automatically become document editors (if a decision is not made
    to assign a new editor.)

 2. RFC 2418, "IETF Working Group Guidelines and Procedures",
    section 6.3 "Document Editor":

> 6.3. Document Editor
> 
>    Most IETF working groups focus their efforts on a document, or set of
>    documents, that capture the results of the group's work.  A working
>    group generally designates a person or persons to serve as the Editor
>    for a particular document.  The Document Editor is responsible for
>    ensuring that the contents of the document accurately reflect the
>    decisions that have been made by the working group.

 So, yes, the editors need to ensure the document needs to reflect the
 WG consensus.

 Now, that said, it would, of course, be unreasonable to ask the
 editors to check the consensus of the WG on every word--different
 people have different writing styles and English skills. However, if
 a discussion on a specific part of the document has been triggered
 within the WG and the consensus was to change the text, the editors
 need to do this.

-- 
Alex

Thursday, April 3, 2003, 11:09:41 AM, Shahram Davari wrote:

>>Your  citation from  RFC 3160  does not  seem to  imply 
>>anywhere  that every
>>change to a WG draft must  be approved by consensus.

> It says:

> "     2. Receive comments on the draft
>       3. Edit your draft based on the comments"

> It never says edit the draft as the author(s) wish.

>>In fact, 
>>your citation
>>doesn't  even mention  consensus.

> True, but I think that is common sense that when a draft is a WG
> document, the author(s) should not change it based on their own 
> opinion only. Otherwise what would be the difference between a WG
> draft and a personal draft?

>>Not to  mention  that RFC  
>>3160 does  not
>>specify the standards process anyway.

> So? we are talking about WG drafts.

> -Shahram

---

From: Eric Rosen <[email-masked]>
Date: Thu, 03 Apr 2003 15:10:44 -0500

Shahram> It says:

Shahram> "     2. Receive comments on the draft
Shahram>       3. Edit your draft based on the comments"

Shahram> It never says edit the draft as the author(s) wish.

"Edit based on comments" is not  the same as "edit based on consensus"!  And
if you think this statement poses a  rule that one should never make an edit
unless someone else has suggested it,  I'd say that that is quite a creative
interpretation. 

Shahram> I think  that is common sense that  when a draft is  a WG document,
Shahram> the  author(s) should  not change  it  based on  their own  opinion
Shahram> only. 

Well, the rule has moved quickly down in force from "MUST" to "common sense"
;-) 

Shahram> Otherwise what  would be  the difference between  a WG draft  and a
Shahram> personal draft? 

A WG  draft is a draft  adopted by the WG  as the basis for  future work.  A
personal draft is a  draft that has not (or not yet)  been adopted by the WG
as  the basis  for future  work.  The  consensus to  adopt a  draft as  a WG
document does not even imply a  consensus on the content of the document, so
it could hardly imply that no  change be made at all without first obtaining
consensus on that specific change.

---

From: Curtis Villamizar <[email-masked]>
Date: Thu, 03 Apr 2003 15:20:34 -0500

In message <[email-masked].
> So? we are talking about WG drafts.

Shahram,

Just in case you missed the title:

  3160 The Tao of IETF - A Novice's Guide to the Internet Engineering
       Task Force. S. Harris. August 2001. (Format: TXT=98411 bytes)
       (Obsoletes RFC1718) (Also FYI0017) (Status: INFORMATIONAL)

This is a "novice guide".  It is informational.

  Status of this Memo

   This memo provides information for the Internet community.  It does
   not specify an Internet standard of any kind.  Distribution of this
   memo is unlimited.

In the Introduction it clearly states:

   This document describes many aspects of the IETF, with the goal of
   explaining to newcomers how the IETF works.  This will give them a
   warm, fuzzy feeling and enable them to make the meeting and the
   Working Group discussions more productive for everyone.

The document you want is:

  2026 The Internet Standards Process -- Revision 3. S. Bradner. October
       1996. (Format: TXT=86731 bytes) (Obsoletes RFC1602) (Also BCP0009)
       (Status: BEST CURRENT PRACTICE)

Note that it is a BCP which is a type of standard.

  Status of this Memo

   This document specifies an Internet Best Current Practices for the
   Internet Community, and requests discussion and suggestions for
   improvements.  Distribution of this memo is unlimited.

Here the introduction states:

  1.  INTRODUCTION

   This memo documents the process currently used by the Internet
   community for the standardization of protocols and procedures.  The
   Internet Standards process is an activity of the Internet Society
   that is organized and managed on behalf of the Internet community by
   the Internet Architecture Board (IAB) and the Internet Engineering
   Steering Group (IESG).

It doesn't surprise me that you'd quote a novice guide and igore the
whole rest of the document, including the fact that it was a novice
guide.

Curtis

---

From: Shahram Davari <[email-masked]>
Date: Thu, 3 Apr 2003 11:09:41 -0800

It says:

-Shahram

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Thu, 03 Apr 2003 17:03:40 -0500

>Alex> However, if a  discussion on a specific part of  the document has been
>Alex> triggered within the WG and the  consensus was to change the text, the
>Alex> editors need to do this.
>
>Sure.  One should  not ignore the WG consensus.  That point  is that that is
>not the same as saying you can't modify the document without first obtaining
>WG consensus.  The latter would  require that consensus be obtained on every
>revision, which I don't think has ever been part of the process.

         Or is reasonable given the number of changes sometimes
done to documents!  Anyway, the edited document is always fair
game after it is updated and published in the ID repository, and
will not proceed past WG last call unless there is consensus
on the document. So back to the original point, IMHO it does
seem as though Stewart is well within the letter of the law on
this one.

         --Tom

http://www.elsevier-international.com/catalogue/title.cfm?ISBN=155860751X

---

From: Eric Rosen <[email-masked]>
Date: Thu, 03 Apr 2003 15:21:36 -0500